io.vertx.rxjava.ext.unit

## Class Async

- java.lang.Object
- - io.vertx.rxjava.ext.unit.Completion<Void>
  - - io.vertx.rxjava.ext.unit.Async

-     public class Async
      extends Completion<Void>

  An asynchronous exit point for a test.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<Async>` | `__TYPE_ARG`

    - ### Fields inherited from class io.vertx.rxjava.ext.unit.Completion

      `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Async(Async delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete()` Signals the asynchronous operation is done, this method must be called with a count greater than `0`, otherwise it throw an `IllegalStateException` to signal the error.
    `int` | `count()`
    `void` | `countDown()` Count down the async.
    `Async` | `getDelegate()`
    `void` | `handler(Handler<AsyncResult<Void>> completionHandler)` Completion handler to receive a completion signal when this completions completes.
    `rx.Observable<Void>` | `handlerObservable()` Deprecated. use `rxHandler()` instead
    `static Async` | `newInstance(Async arg)`
    `void` | `resolve(Future<Void> future)` Completes the future upon completion, otherwise fails it.
    `rx.Single<Void>` | `rxHandler()` Completion handler to receive a completion signal when this completions completes.

    - ### Methods inherited from class io.vertx.rxjava.ext.unit.Completion

      `await, await, awaitSuccess, awaitSuccess, isCompleted, isFailed, isSucceeded, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<Async> __TYPE_ARG

  - ### Constructor Detail

    - #### Async

          public Async(Async delegate)

  - ### Method Detail

    - #### getDelegate

          public Async getDelegate()

      Overrides:
        `getDelegate` in class `Completion<Void>`

    - #### resolve

          public void resolve(Future<Void> future)

      Completes the future upon completion, otherwise fails it.
      Overrides:
        `resolve` in class `Completion<Void>`
      Parameters:
        `future` - the future to resolve

    - #### handler

          public void handler(Handler<AsyncResult<Void>> completionHandler)

      Completion handler to receive a completion signal when this completions completes.
      Overrides:
        `handler` in class `Completion<Void>`
      Parameters:
        `completionHandler` - the completion handler

    - #### handlerObservable

          @Deprecated
          public rx.Observable<Void> handlerObservable()

      Deprecated. use `rxHandler()` instead
      Completion handler to receive a completion signal when this completions completes.
      Overrides:
        `handlerObservable` in class `Completion<Void>`
      Returns:

    - #### rxHandler

          public rx.Single<Void> rxHandler()

      Completion handler to receive a completion signal when this completions completes.
      Overrides:
        `rxHandler` in class `Completion<Void>`
      Returns:

    - #### count

          public int count()

      Returns:
        the current count

    - #### countDown

          public void countDown()

      Count down the async.

    - #### complete

          public void complete()

      Signals the asynchronous operation is done, this method must be called with a count greater than `0`, otherwise it throw an `IllegalStateException` to signal the error.

    - #### newInstance

          public static Async newInstance(Async arg)

Copyright © 2017. All rights reserved.